Subject: bug#18620: closed (Re: bug#18620: 25.0.50; cfengine3-make-syntax-cache)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 08 Oct 2014 16:04:02 +0000

Your bug report

#18620: 25.0.50; cfengine3-make-syntax-cache

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
18620: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=18620
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#18620: 25.0.50; cfengine3-make-syntax-cache
From: Leo Liu <[email-masked]>
To: [email-masked]
Date: Thu, 09 Oct 2014 00:03:29 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

On 2014-10-08 09:51 -0400, Ted Zlatanov wrote:
> On Tue, 07 Oct 2014 11:22:46 +0800 Leo Liu <[email-masked]> wrote: 
[snipped 9 lines]
>
> I like your patch better :)
>
> Can you commit or let me know and I will?  It will close this ticket, I
> hope.

OK, I am committing the patch (it's been 30 minutes, it hurts when it is
this slow). I have discovered a few other issues and fixed them along
the way. If you have time could you test it to make sure I don't break
something else.

[snipped 12 lines]
>
> CFEngine 3 was a rewrite of version 2. It's still under the GPL but no
> longer part of the GNU project AFAIK. IMO it's quite good (the latest
> release is 3.6.2) and it's actively maintained by CFEngine Inc, but the
> proprietary non-free extensions in their Enterprise version and the
> corporate ownership of the codebase make it unlikely it can be part of
> the GNU project in this incarnation.
>
> Ted

I'll take your word for it ;) Thanks for the info.

Leo

Subject: 25.0.50; cfengine3-make-syntax-cache
From: Leo Liu <[email-masked]>
To: [email-masked]
Date: Fri, 03 Oct 2014 18:28:22 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

There are multiple problems with cfengine3-make-syntax-cache:

1. call-process-shell-command changed in trunk; simply replace it with
   process-file.

2. it doesn't always return a `syntax' value

3. cf-promises doesn't have -s option in Centos 6.5 (cfengine 3.3)

HTH,
Leo